Page MenuHome

Solidify with Only Rim option produces bad geometry
Closed, DuplicatePublic

Description

  1. Open attached blend
  2. In the 3d view, press 'G' and drag to the left
  3. Crash

Fails: 2.72 83cbcef
Working: Unknown

Event Timeline

Harrison Nordby (Squashwell) raised the priority of this task from to 90.
Harrison Nordby (Squashwell) updated the task description. (Show Details)
Harrison Nordby (Squashwell) edited a custom field.

Also fails on 2.72b official

Julian Eisel (Severin) changed the task status from Unknown Status to Resolved.Dec 10 2014, 9:04 AM
Julian Eisel (Severin) claimed this task.

I remember a similar issue which was fixed. Could you try it again with a recent build from buildbot?

Julian Eisel (Severin) changed the task status from Resolved to Unknown Status.Dec 10 2014, 9:10 AM

Aargh, didn't want to close, yet

Julian Eisel (Severin) lowered the priority of this task from 90 to 30.Dec 10 2014, 9:11 AM

Sorry, I should have been more clear. The first build I tested was in fact a buildbot version from Dec 9, 2014: Blender 2.72.3 win64

Julian Eisel (Severin) raised the priority of this task from 30 to 50.
Sergey Sharybin (sergey) renamed this task from Combination of mirror, solidify and subsurface causes crash to Solidify with Only Rim option produces bad geometry.Dec 22 2014, 11:12 AM

@Campbell Barton (campbellbarton), this is caused by solidify returning bad topology. Easy to see in this file

by applying both modifiers and running data.validate() in the python console.

My guess is that non-manifold workaround is to be extended to this case..